$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.125.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.125.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '6E1FF51F34C165834C4D3A0C333DCA44A88DFBD9E9B755DC3FBCF7F0E776D520'
  checksumType = 'sha256'
  checksum64 = '6E1FF51F34C165834C4D3A0C333DCA44A88DFBD9E9B755DC3FBCF7F0E776D520'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.125-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
